Jump to content
Froxlor Forum
  • 0

[solved] PHP 5.2 und 5.3 parallel?


StefanKittel

Question

Hallo,

 

Server: Debian Squeeze 64Bit, Apache2 mit FCGI und PHP 5.3, MySQL

 

ein neuer Kunde bringt 2 v?llig veraltete Drupal-Seiten mit (Version 4 und 5).

Diese laufen mit PHP 5.3 nicht oder nicht vollst?ndig.

 

Ich habe nun nach dieser Anleitung PHP 5.2 kompliert.

http://www.soeren-hentzschel.at/technik/linux-server/2011/03/29/php-5-2-unter-debian-6-squeeze-parallel-zu-php-5-3-mit-ispconfig-mod_phpmod_fcgid/

 

Es funktioniert auch prima wenn ich inder php-fcgi-starter-Datei den Exec-Aufruf ver?ndere.

Dateiname: /var/www/php-fcgi-scripts/Kunde/Domain.de/php-fcgi-starter

Alt: exec /usr/bin/php-cgi -c '/var/www/php-fcgi-scripts/Kunde/Domain.de/'

Neu: exec /usr/bin/php52/php-cgi -c '/var/www/php-fcgi-scripts/Kunde/Domain.de/'

 

Die Einstellungen sind nat?rlich beim n?chsten Rebuild wieder weg.

 

Kann ich f?r einzelne Dom?nen einen anderen Exec-Binary festlegen? Wenn ja wie?

Alternativ w?rde ich dieser Datei nun einen Schreibschutz verpassen, was nat?rlich schweinkram ist.

Sonstige Vorschl?ge?

 

Danke

 

Stefan

 

Nachtrag: chattr kann ich leider nicht verwenden

Link to comment
Share on other sites

2 answers to this question

Recommended Posts

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...